.\" Man page generated from reStructuredText.
.
.TH "CWB_INET2G" "1" "Nov 25, 2022" "cWB-6.4.2" "coherent WaveBurst"
.SH NAME
cwb_inet2G \- cWB Documentation
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.nf

.fi
.sp
.sp
This page provides a description of the cwb_inet2G command.
.nf

\fBUsage\fP

This command is used to run the cWB 2G pipeline in the interactive mode.

The 2G pipeline consists of different stages. The output of each stage is saved in a ROOT file, which also contains the configuration settings.  Thus, it is possible to perform the analysis over a specific stage without running the pipeline from the initial stage.

\fBSyntax\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
.INDENT 2.0
.TP
.B \fBcwb_inet2G\fP (no arguments)
Prints help
.UNINDENT
.IP \(bu 2
.INDENT 2.0
.TP
.B \fBcwb_inet2G ifile stage [jobID/user_parameters.C] [options] [mdc_factor] [lag] [ced_dir]\fP
Runs the 2G pipeline in the interactive mode
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.nf

The options are not mandatory.

.fi
.sp
.nf

\fBFurther information\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
The following options can be passed to cwb_inet2G:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
ifile =   jobFile       : output ROOT file generated by the previous analysis stage

          userConfig    : user\(aqs parameter file (config/user_parameters.C in the "input" directory)



stage =  FULL    : it runs the whole analysis

         INIT:

         STRAIN:

         CSTRAIN:

         COHERENCE:

         SUPERCLUSTER:

         LIKELIHOOD:




jobID/user_parameters.C =  it is equal to "job id" if the analysis is started from the initial stage of the cWB
                           pipeline. Otherwise, the user can simply provide the name of the stage to be completed.
                           In the case of a multiresolution analysis, at a given stage and with respect to those
                           used for the previous stages, the user can pass as option a new version of the
                           user_parameters.C. This way it is possible to perform analyses at different stages
                           with different values of the search parameters.





options =  false      :  cWB does not produce the CED of the events

           true/ced   :  with both options, cWB produces the CED of the events

           \-\-tool psd \-\-ifo H1/L1/V1 \-\-type strain/mdc/white \-\-draw true/false    :  it draws the psd

                    Stages :   STRAIN : strain/mdc, CSTRAIN : white
                    Ex:    \(aq\-\-tool psd \-\-ifo H1 \-\-type strain \-\-draw true\(aq
                    Ex:    \(aq\-\-tool psd \-\-ifo H1 \-\-type strain \-\-draw true \-\-save true\(aq

           \-\-tool inj \-\-draw true/false    :  it draws the injected simulated signals

                    Stages :   STRAIN
                    Ex:    \(aq\-\-tool inj \-\-draw true\(aq

           \-\-tool nRMS \-\-ifo H1/L1/V1 \-\-draw true/false    :  it draws the nRMS

                    Stages :   CSTRAIN
                    Ex:    \(aq\-\-tool nrms \-\-ifo H1 \-\-draw true\(aq

           \-\-tool frdisplay \-\-ifo H1/L1/V1 \-\-type strain/mdc/white    :  it draws the data with frdisplay

                    Stages :   STRAIN : strain/mdc, CSTRAIN : white
                    Ex:    \(aq\-\-tool frdisplay \-\-hpf 50 \-\-decimateby 16 \-\-ifo H1 \-\-type strain\(aq

           \-\-tool wdm \-\-ifo H1/L1/V1 \-\-type strain/mdc/white \-\-draw true/false    :  it draws the wdm

                    Stages :   STRAIN : strain/mdc, CSTRAIN : white
                    Ex:    \(aq\-\-tool wdm \-\-ifo H1 \-\-type white \-\-draw true\(aq

           \-\-tool emax \-\-level xx (optional) \-\-draw true/false    :  it draws the maximum energy
                    Stages :   COHERENCE
                    Ex:    \(aq\-\-tool emax \-\-level 7 \-\-draw true\(aq

           \-\-tool sparse \-\-ifo H1/L1/V1 \-\-draw true/false    :  it draws the sparse

                    Stages :   LIKELIHOOD
                    Ex:    \(aq\-\-tool sparse \-\-ifo H1 \-\-draw true\(aq

           \-\-tool ced \-\-draw true/false \-> draw ced

                    Stages :   LIKELIHOOD
                    Ex:    1 0 \(aq\-\-tool ced \-\-draw true\(aq


mdc_factor  =  numerical factor used to rescale the amplitude of the injected MDC simulated signal

lag         =  lag number [\-1 = select all lags defined in the user parameters file]

ced_dir     =  it is the directory where the CED is generated (default : data)
.ft P
.fi
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.nf

\fBExamples\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
The following command launches a complete analysis with the 2G pipeline:
.INDENT 2.0
.INDENT 3.5
\fBcwb_inet2G   config/user_parameters.C   FULL   1\fP
.UNINDENT
.UNINDENT
.IP \(bu 2
The following command lines launch a complete multistage 2G analysis:
.INDENT 2.0
.INDENT 3.5
\fBcwb_inet2G  config/user_parameters.C    INIT   1\fP
.sp
\fBcwb_inet2G  data/jobFile.root           STRAIN\fP
.sp
\fBcwb_inet2G  data/jobFile.root           CSTRAIN\fP
.sp
\fBcwb_inet2G  data/jobFile.root           COHERENCE\fP
.sp
\fBcwb_inet2G  data/jobFile.root           SUPERCLUSTER\fP
.sp
\fBcwb_inet2G  data/jobFile.root           LIKELIHOOD\fP
.sp
At the end of each intermediate stage an output data/jobFile.root file is created, containing all the information required for the following stage
.UNINDENT
.UNINDENT
.IP \(bu 2
The following command lines launch two steps of a multistage analysis conducted with the 2G pipeline:
.INDENT 2.0
.INDENT 3.5
\fBcwb_inet2G  config/user_parameters.C    SUPERCLUSTER   1\fP
.sp
\fBcwb_inet2G  data/jobFile.root           LIKELIHOOD\fP
.UNINDENT
.UNINDENT
.IP \(bu 2
The following command line enables the change of 2G analysis options:
.INDENT 2.0
.INDENT 3.5
\fBcwb_inet2G  data/jobFile.root            LIKELIHOOD  config/user_parameters.C\fP
.UNINDENT
.UNINDENT
.IP \(bu 2
The following command line allows to monitor the 2G analysis data:
.INDENT 2.0
.INDENT 3.5
\fBcwb_inet2G  data/jobFile.root            COHERENCE "" \(aq\-\-tool emax \-\-level 8  \-\-draw true\(aq\fP
.UNINDENT
.UNINDENT
.IP \(bu 2
The following command line allows to process the second stage of run=205, lag=410, ced=true, mdc_factor=0, output ced_dir=data, config=config/user_parameters.C :
.INDENT 2.0
.INDENT 3.5
\fBcwb_inet2G output/supercluster_1124218800_600_BKG_run1_job205.root LIKELIHOOD config/user_parameters.C ced 0 410 data\fP
.UNINDENT
.UNINDENT
.IP \(bu 2
The following link reports a complete example of how to perform the 2G multistage analysis:q*
.INDENT 2.0
.INDENT 3.5
\fI\%ADV_SIM_SGQ9_L1H1V1_2G\fP
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.SH AUTHOR
Gabriele Vedovato
.SH COPYRIGHT
2018, cWB Team
.\" Generated by docutils manpage writer.
.
